= nng_http_client_get_tls(3http)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_http_client_get_tls - get HTTP client TLS configuration

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>
#include <nng/supplemental/http/http.h>

int nng_http_client_get_tls(nng_http_client *client, nng_tls_config **cfgp);
----

== DESCRIPTION

The `nng_http_client_get_tls()` obtains the TLS configuration of _client_ and
saves a pointer to it in the address referenced by _cfgp_.

The object will be returned with an extra hold (see
xref:nng_tls_config_hold.3tls.adoc[`nng_tls_config_hold()`])
placed on it on behalf of the caller.
The caller should free this hold by calling
xref:nng_tls_config_free.3tls.adoc[`nng_tls_config_free()`] with it is done
with the TLS configuration.

== RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

== ERRORS

[horizontal]
`NNG_EINVAL`:: TLS not configured on client.
`NNG_ENOMEM`:: Insufficient free memory exists.
`NNG_ENOTSUP`:: Either HTTP or TLS not supported.

== SEE ALSO

[.text-left]
xref:nng_http_client_alloc.3http.adoc[nng_http_client_alloc(3http)],
xref:nng_http_client_connect.3http.adoc[nng_http_client_connect(3http)],
xref:nng_http_client_set_tls.3http.adoc[nng_http_client_set_tls(3http)],
xref:nng_tls_config_alloc.3tls.adoc[nng_tls_config_alloc(3tls)],
xref:nng_tls_config_free.3tls.adoc[nng_tls_config_free(3tls)],
xref:nng_tls_config_hold.3tls.adoc[nng_tls_config_hold(3tls)],
xref:nng_strerror.3.adoc[nng_strerror(3)],
xref:nng.7.adoc[nng(7)]
